summaryrefslogtreecommitdiffstats
path: root/graphics/opengtl
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@liwjatan.at>2010-05-11 22:53:52 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:53:52 +0200
commit0a5d1c12a9b7d656e92fc26293e39847226b448e (patch)
treee970d8f05793227eb60ae62c709491cbc9fafc02 /graphics/opengtl
parent496dfdb297f5845dba4d196b44357dc985f697f2 (diff)
downloadslackbuilds-0a5d1c12a9b7d656e92fc26293e39847226b448e.tar.gz
slackbuilds-0a5d1c12a9b7d656e92fc26293e39847226b448e.tar.xz
graphics/opengtl: Added to 12.1 repository
Diffstat (limited to 'graphics/opengtl')
-rw-r--r--graphics/opengtl/README8
-rw-r--r--graphics/opengtl/opengtl.SlackBuild80
-rw-r--r--graphics/opengtl/opengtl.info8
-rw-r--r--graphics/opengtl/slack-desc19
4 files changed, 115 insertions, 0 deletions
diff --git a/graphics/opengtl/README b/graphics/opengtl/README
new file mode 100644
index 0000000000..b66f183bf6
--- /dev/null
+++ b/graphics/opengtl/README
@@ -0,0 +1,8 @@
+The G of GTL means either Graphics or Generics, the T means
+Transformation and the L means Libraries or Languages.
+
+The goal is to provide the tools, languages and libraries to create
+generic transformation for graphics. Those transformations could then
+be used by different programs.
+
+opengtl requires llvm, which is also available from Slackbuilds.org \ No newline at end of file
diff --git a/graphics/opengtl/opengtl.SlackBuild b/graphics/opengtl/opengtl.SlackBuild
new file mode 100644
index 0000000000..ccc1e45224
--- /dev/null
+++ b/graphics/opengtl/opengtl.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for opengtl
+
+# Copyright 2008 Heinz Wiesinger <pprkut@liwjatan.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=OpenGTL
+VERSION=0.9.4
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+PKGNAM=$(echo $PRGNAM | tr [:upper:] [:lower:])
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cmake \
+ -DCMAKE_C_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a COPYING TODO $PKG/usr/doc/$PKGNAM-$VERSION
+cat $CWD/$PKGNAM.SlackBuild > $PKG/usr/doc/$PKGNAM-$VERSION/$PKGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PKGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/graphics/opengtl/opengtl.info b/graphics/opengtl/opengtl.info
new file mode 100644
index 0000000000..e53ba1e09c
--- /dev/null
+++ b/graphics/opengtl/opengtl.info
@@ -0,0 +1,8 @@
+PRGNAM="opengtl"
+VERSION="0.9.4"
+HOMEPAGE="http://www.opengtl.org/"
+DOWNLOAD="http://www.opengtl.org/download/OpenGTL-0.9.4.tar.bz2"
+MD5SUM="ecabab04590222749cbd3fedf2d5293e"
+MAINTAINER="ppr:kut"
+EMAIL="pprkut@liwjatan.at"
+APPROVED="David Somero" \ No newline at end of file
diff --git a/graphics/opengtl/slack-desc b/graphics/opengtl/slack-desc
new file mode 100644
index 0000000000..9250c86ce6
--- /dev/null
+++ b/graphics/opengtl/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+opengtl: opengtl (Graphics Transformation Library/Tools)
+opengtl:
+opengtl: The G of GTL means either Graphics or Generics, the T means
+opengtl: Transformation and the L means Libraries or Languages.
+opengtl:
+opengtl: The goal is to provide the tools, languages and libraries to create
+opengtl: generic transformation for graphics. Those transformations could then
+opengtl: be used by different programs.
+opengtl:
+opengtl: Homepage: http://www.opengtl.org/
+opengtl: